package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.data.repository.db.requrey.model.UserEntity
import io.reactivex.Completable

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface SubscriptionContract{

    fun subscribeTopic(
        user: UserEntity,
        subInnerId: Int,
        deviceToken: String,
        topic: String,
        topic_id: String?
    ): Completable

    fun unSubscribeTopic(
        user: UserEntity,
        subInnerId: Int,
        deviceToken: String,
        topic: String,
        topic_id: String?
    ): Completable
}